package com.huiju.estateagents.eContract.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 合同与业务关系表 
 * </p>
 *
 * @author fxf
 * @since 2020-03-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaContractBusiness implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 合同与业务关系表
     */
    @TableId(value = "contract_business_id", type = IdType.AUTO)
    private Integer contractBusinessId;

    /**
     * 合同模板id
     */
    private String contractTemplateId;

    /**
     * 合同模板名称
     */
    private String contractTemplateName;

    /**
     * 业务类型 raise房源认筹
     */
    private String targetType;

    /**
     * 业务id raise对应销售批次id
     */
    private Integer targetId;

    /**
     * 业务名称
     */
    private String targetName;

    /**
     * 企业id
     */
    private Integer companyId;

    /**
     * 企业标题
     */
    private String companyName;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 印章id
     */
    private Integer sealId;

    /**
     * 甲方签章定位关键字
     */
    private String signatoryKeywords;

    /**
     * 甲方签章策略 与法大大一致就行
     */
    private String signatoryStrategy;

    /**
     * 乙方签章定位关键字
     */
    private String customerKeywords;

    /**
     * 乙方签章策略
     */
    private String customerStrategy;

    /**
     * 状态 1是有效0是无效-1是删除
     */
    private Integer status;

    @TableField(exist = false)
    private List<TaContractBusiness> contractBusinessList;

    @TableField(exist = false)
    private String contractTemplateAddress;

    @TableField(exist = false)
    private String signatureId;

    @TableField(exist = false)
    private String fadadaCode;
}
